Subject: Re: Changes to PPC Linux required for GCC 3.1

From: Corey Minyard <[email-masked]>
Date: Wed, 05 Dec 2001 18:59:14 -0600

Tom Rini wrote:

>
>I think the reason this wasn't applied is that Paul said something about
>thiws being horriyingly ugly.  Corey, can you post a patch that changes
>RELOC(x) into a function and nothing else? :)
>
My original patch has the function.  I prefer the macro, it may be a
little uglier but it removes a dependency between the include file and
the source.  It needs to be commented though, the reason for it's
wierdness is not really clear.

-Corey

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/